This document demonstrates the changes in the payload formats along with the platform affected. These changes make the payload consistent across Android and iOS platform from v1.7.0.

Refer [Sample App](https://github.com/CleverTap/clevertap-flutter/blob/master/example/lib/main.dart) for examples on how to access the payload.


| Callback                                                    | Platform affected | What's changed?                                                                                                                   | Old Format                                                                  | New Format                                                                                                                |
| ----------------------------------------------------------- | ----------------- | --------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| setCleverTapInAppNotificationDismissedHandler(handler)      | iOS               | Started passing an empty Map to `extras` key when found null.<br>It provides parity with Android platform.                      | { "actionExtras": {} }                                                      | { "extras": {}, "actionExtras": {} }                                                                                      |
| setCleverTapInboxNotificationMessageClickedHandler(handler) | Android and iOS   | Signature changed to support two new arguments:<br>`contentPageIndex` and `buttonIndex`.                                      | CleverTapInboxNotificationMessageClickedHandler(Map<String, dynamic>? data) | CleverTapInboxNotificationMessageClickedHandler<br>(Map<String, dynamic>? data, int contentPageIndex,<br>int buttonIndex) |
| setCleverTapInAppNotificationShowHandler(handler)           | Android           | Updated the payload format from the stringified JSON<br>with the plain JSON format to access<br>the payload without JSON decoding | { "key1": '{}' , ...}                                                       | { "key1": {} , ...}                                                                                                       |
| setCleverTapProfileSyncHandler(handler)                     | Android           | Updated the payload format from the stringified JSON<br>with the plain JSON format to access<br>the payload without JSON decoding | { "key1": '{}' , ...}                                                       | { "key1": {} , ...}                                                                                                       |
| getDisplayUnitForId(unitId)                                 | Android           | Updated the payload format from the stringified JSON<br>with the plain JSON format to access<br>the payload without JSON decoding | { "key1": '{}' , ...}                                                       | { "key1": {} , ...}                                                                                                       |
| getInboxMessageForId(messageId)                             | Android           | Updated the payload format from the stringified JSON<br>with the plain JSON format to access<br>the payload without JSON decoding | { "key1": '{}' , ...}                                                       | { "key1": {} , ...}                                                                                                       |